package cn.com.poc.approval.entity;	


public class BizApprovalEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** submitter
    *提交人ID
    */ 
    private java.lang.Long submitter;

    public java.lang.Long getSubmitter(){
        return this.submitter;
    }
    
    public void setSubmitter(java.lang.Long submitter){
        this.submitter = submitter;
    }
	/** approval_type
    *审批类型
    */ 
    private java.lang.String approvalType;

    public java.lang.String getApprovalType(){
        return this.approvalType;
    }
    
    public void setApprovalType(java.lang.String approvalType){
        this.approvalType = approvalType;
    }
	/** approval_status
    *审批状态
    */ 
    private java.lang.String approvalStatus;

    public java.lang.String getApprovalStatus(){
        return this.approvalStatus;
    }
    
    public void setApprovalStatus(java.lang.String approvalStatus){
        this.approvalStatus = approvalStatus;
    }
	/** approval_professional
    *审批人ID
    */ 
    private java.lang.Long approvalProfessional;

    public java.lang.Long getApprovalProfessional(){
        return this.approvalProfessional;
    }
    
    public void setApprovalProfessional(java.lang.Long approvalProfessional){
        this.approvalProfessional = approvalProfessional;
    }
	/** approval_content
    *审核单信息
    */ 
    private java.lang.String approvalContent;

    public java.lang.String getApprovalContent(){
        return this.approvalContent;
    }
    
    public void setApprovalContent(java.lang.String approvalContent){
        this.approvalContent = approvalContent;
    }
	/** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}